Subject: Re: configuration scripts
From: [email-masked] (Mikey)

15 Sep 1997 19:01:38 -0700
Message-ID: <[email-masked]>
References: <c=US%a=_%p=Eastman%l=[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="--=_341de2651045788075358a9.MFSBCHJLHS"
To: "Smith, Eric" <[email-masked]>, [email-masked]

----=_341de2651045788075358a9.MFSBCHJLHS
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

if you haven't done this yet stop,
remount all filesystems -b
and then reinstall from cdk.exe
and user.exe
the shell scripts/headers/sources  would only have cr\lf
if you were mounted without -b to start with
or if you used winzip to install.

attached is a utility to convert all the files in a dir to \n from \r\n and vica/versa
after building put in path and do
ln -s dtou.exe utod

to convert \r\n to \n do 
dtou * (under bash)
to convert \n to \r\n do
utod * (under bash)

no checking is done for utod so if you use it on the same file
multiple times you will get \r\r\r\r\r\n.

to recursively fix all files in a tree use dtoutree
WARNING
no check for binary files, this is meant for source trees
and include trees only

On Tue, 9 Sep 1997 12:21:47 -0400, you wrote:

>To all,
>
>Thank you for the responses.
>
>I have resigned myself to the long and arduous task of using Borland's
>FCONVERT.EXE to convert all of my configuration scripts from ANSI to OEM
>format (strip out <CR>).  For the number of files I have, this appears
>to be a long task.
>
>This closes out one problem, but makes me wonder, why do the GNU scripts
>from the .tar.gz files at the main ftp site have <CR><LF> in them
>instead of just <LF>.  They are identified as UNIX scripts, but appear
>to have a PC flavor to them.  Since I haven't edited them ("cat
>{filename} | more" instead) I can't figure out where the <CR> came from
>unless it is there to start.
>
>Eric M. Smith
>telephone               : (423) 229-2254
>profs/officevision     : XGIB003
>internet -- business : [email-masked]
>internet -- personal  : [email-masked]
>
>Do not meddle in the affairs of wizards, for they are quick to anger.
>Do not meddle in the affairs of dragons, for you are crunchy and taste
>good with ketchup.
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey

----=_341de2651045788075358a9.MFSBCHJLHS
Content-Type: application/octet-stream; name=dtou.c
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=dtou.c

----=_341de2651045788075358a9.MFSBCHJLHS
Content-Type: application/octet-stream; name=dtoutree
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=dtoutree

IyEvYmluL3NoCmZvciBmaWxlIGluICo7ZG8KICBpZiBbIC1kICRmaWxlIF07dGhlbgogICAgcHVz
aGQgJGZpbGUKICAgICBkdG91dHJlZQogICAgcG9wZAogIGVsc2UKICAgICBkdG91ICRmaWxlOwog
IGZpOwpkb25lCg==

----=_341de2651045788075358a9.MFSBCHJLHS--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".